load assignment6_output_parta.mat;

%%% first plot phase space portrait in background for orientation
for nn = 1:Ntrajectories,
   plot(wrapToPi(vars_out(:,2,nn)),vars_out(:,1,nn),'k.','MarkerSize',10)
   hold on
end

load assignment6_output.mat;
%%% then plot trajectories on top
times_choice = [1,10,20];
for nn = 1:Ntrajectories,
   plot(wrapToPi(vars_out(times_choice,2,nn)),vars_out(times_choice,1,nn),'r.','MarkerSize',10)
end
hold off

xlabel(['\phi'])
ylabel(['p'])
title(['Liouville simple pendulum'])


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
lw=2;
fs=20;

lineobj = findobj('type', 'Line');
set(lineobj,'LineWidth', lw);

patchobj = findobj('type', 'Patch');
set(patchobj,'LineWidth', lw);

textobj = findobj('type', 'axes');
set(textobj,'LineWidth', lw);
set(textobj, 'fontsize', fs);
set(textobj, 'FontName', 'Times');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%  

